png::pixel_traits< gray_pixel > Struct Template Reference

Pixel traits specialization for gray_pixel. More...

`#include <gray_pixel.hpp>`

Inheritance diagram for png::pixel_traits< gray_pixel >:

## Additional Inherited Members

Public Types inherited from png::basic_pixel_traits< gray_pixel, byte, color_type_gray >
typedef gray_pixel | pixel_type
typedef byte | component_type
Static Public Member Functions inherited from png::basic_pixel_traits< gray_pixel, byte, color_type_gray >
static color_type | get_color_type ()
static int | get_channels ()
static int | get_bit_depth ()
Static Public Attributes inherited from png::basic_pixel_traits< gray_pixel, byte, color_type_gray >
static const int | channels
static const int | bit_depth

## Detailed Description

### template<>
struct png::pixel_traits< gray_pixel >

Pixel traits specialization for gray_pixel.

The documentation for this struct was generated from the following file:

- gray_pixel.hpp